Bug 443556 - evince-2.22.1.1-1.fc9.i386 crashes displaying attached pdf
evince-2.22.1.1-1.fc9.i386 crashes displaying attached pdf
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: evince (Show other bugs)
9
i386 Linux
low Severity high
: ---
: ---
Assigned To: Kristian Høgsberg
Fedora Extras Quality Assurance
http://www.physics.nist.gov/Pubs/SP33...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-04-22 03:53 EDT by archimerged Ark submedes
Modified: 2009-06-10 04:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-06-10 04:37:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
My downloaded copy of http://www.physics.nist.gov/Pubs/SP330/sp330.pdf (1.08 MB, application/pdf)
2008-04-22 03:58 EDT, archimerged Ark submedes
no flags Details
emacs *gud-evince* buffer (16.19 KB, text/plain)
2008-04-22 04:01 EDT, archimerged Ark submedes
no flags Details
output of rpm -qa (45.55 KB, text/plain)
2008-04-22 04:03 EDT, archimerged Ark submedes
no flags Details

  None (edit)
Description archimerged Ark submedes 2008-04-22 03:53:32 EDT
Description of problem:

evince crashes (bad free) while paging through the attached document,
http://www.physics.nist.gov/Pubs/SP330/sp330.pdf

Version-Release number of selected component (if applicable):
evince-2.22.1.1-1.fc9.i386
rawhide 2004-04-18
.treeinfo timestamp = 1208542718.82

How reproducible: very.  


Steps to Reproduce:
1.  evince sp330.pdf
2.  press PageDown 5 or 6 times...
3.  evince crashes.  gdb output with debuginfo attached.
  
Actual results:
crash

Expected results:
be able to read the document

Additional info:
Will create attachments.
Comment 1 archimerged Ark submedes 2008-04-22 03:58:18 EDT
Created attachment 303278 [details]
My downloaded copy of http://www.physics.nist.gov/Pubs/SP330/sp330.pdf

The actual copy I was trying to read, just in case it changes on the web or in
the unlikely event I have a corrupted copy.
Comment 2 archimerged Ark submedes 2008-04-22 04:01:50 EDT
Created attachment 303280 [details]
emacs *gud-evince* buffer

I loaded all the debuginfo files, but most data was optimized out anyway...
Comment 3 archimerged Ark submedes 2008-04-22 04:03:01 EDT
Created attachment 303281 [details]
output of rpm -qa
Comment 4 Bug Zapper 2008-05-14 05:55:23 EDT
Changing version to '9' as part of upcoming Fedora 9 GA.
More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-06-09 20:21:31 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 petrosyan 2009-06-10 04:37:08 EDT
this bug has been fixed in Fedora 11, evince-2.26.1-1.fc11

Note You need to log in before you can comment on or make changes to this bug.